Mobile Module jQuery version update?

We have a customer that is currently attempting to replace a number of existing Ignition clients with some new thin client machines, and as part of that process they want to switch over to using the mobile module.

The complexity of the projects is low, and the number of mobile clients would be fewer than 10, so I’m not too concerned about how the mobile clients will perform, or the load on the server.

However when trying to run the mobile module they’re run into some issues which they’ve traced back to the jQuery version used in mobile, which is 1.10.1.
Apparently it’s a known issue that doesn’t exist in 1.10.2, or in fact 1.10.0 either.

Will there be an update to the version of jQuery used by the mobile module in the near future?
Or will future changes to Java or the mobile module itself affect the version of jQuery?

Do you have a list of these issues? We’re unlikely to change the version of jQuery distributed with the mobile module (mobile is not going through many changes with perspective on the roadmap, see this thread if you haven’t heard about it. That said, if you’ve found a specific issue/issues caused by the version of jQuery it should be pretty easy to change the version for a future Ignition release.

Hi
Please have a look at our NJ-SCADA module for Ignition that connects Ignition with any number of mobile clients on LAN and Internet with its own HTML5 based mSCADA clients.

Regards
for PRAMANJ Technologies

Thanks for your replies.

Our customer’s IT guys have pointed me towards this bug as the source of their problems:
https://bugs.jquery.com/ticket/13980

If I ask nicely I can probably squeeze a bit more out of them.

That’s enough to go on - I’ll ask the question, and see if we can work an update into a future 7.9 release.